#ifndef GPGOLKEYADDER_H
#define GPGOLKEYADDER_H
/* Copyright (C) 2018 by Intevation GmbH <info@intevation.de>
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */

#include <QDialog>
#include <QString>

class QCommandLineParser;
class QTextEdit;

class GpgOLKeyAdder: public QDialog
{
    Q_OBJECT

public:
    GpgOLKeyAdder(const QCommandLineParser &parser);

protected:
    /** @brief UI setup */
    void setupGUI();

private:
    void checkAccept();

    QTextEdit *mEdit;
    QString mName;
};
#endif // GPGOLKEYADDER_H
